<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>Documentation</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">Documentation</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/angleweb.html" class="">AngleWeb</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/angleweb-htmlbuilder.html" class="">HtmlBuilder</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/angleweb.html">AngleWeb</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/angleweb-htmlbuilder.html">HtmlBuilder</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    TagBuilder

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/Application.html">Application</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">10</span>

    </aside>

            <p class="phpdocumentor-summary">HTML Tag Builder</p>

    <section class="phpdocumentor-description"><p>A class for building HTML elements using the Builder pattern.</p>
</section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                    <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#property_attributes">$attributes</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;            </span>
</dt>
<dd>The list of attributes for the HTML element.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#property_children">$children</a>
    <span>
                        &nbsp;: string|array&lt;string|int, <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\TagBuilder">TagBuilder</abbr></a>&gt;            </span>
</dt>
<dd>The list of child elements for the HTML element.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#property_tag">$tag</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>The tag name of the HTML element.</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method___construct">__construct()</a>
    <span>
                                &nbsp;: mixed    </span>
</dt>
<dd>Constructor</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_addAttribute">addAttribute()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>addAttributeValue alias. Add value(s) to the named attribute</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_addAttributeValue">addAttributeValue()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Add value(s) to the named attribute</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_addChild">addChild()</a>
    <span>
                                &nbsp;: $this    </span>
</dt>
<dd>Add a child element.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_build">build()</a>
    <span>
                                &nbsp;: string    </span>
</dt>
<dd>Renders the HTML element as a string.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getAttribute">getAttribute()</a>
    <span>
                                &nbsp;: <a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\AttributeBuilder">AttributeBuilder</abbr></a>|null    </span>
</dt>
<dd>Get an attribute by name.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getAttributes">getAttributes()</a>
    <span>
                                &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Get the attributes array.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getChildren">getChildren()</a>
    <span>
                                &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Get the children array.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getTag">getTag()</a>
    <span>
                                &nbsp;: string    </span>
</dt>
<dd>Retourne le nom du tag HTML.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_removeAttribute">removeAttribute()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Remove a named attribute</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_removeAttributeValue">removeAttributeValue()</a>
    <span>
                                &nbsp;: self    </span>
</dt>
<dd>Remove a value from named attribute</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_setAttribute">setAttribute()</a>
    <span>
                                &nbsp;: $this    </span>
</dt>
<dd>Set an attribute.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_setChildren">setChildren()</a>
    <span>
                                &nbsp;: $this    </span>
</dt>
<dd>Set the children array.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_setTag">setTag()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>Modifie le nom du tag HTML.</dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_attributes">
        $attributes
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#property_attributes" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">31</span>

    </aside>

        <p class="phpdocumentor-summary">The list of attributes for the HTML element.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type">array&lt;string|int, mixed&gt;</span>
    <span class="phpdocumentor-signature__name">$attributes</span>
     = <span class="phpdocumentor-signature__default-value">[]</span></code>

    
        <section class="phpdocumentor-description"><p>AttributeBuilder array</p>
</section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_children">
        $children
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#property_children" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">24</span>

    </aside>

        <p class="phpdocumentor-summary">The list of child elements for the HTML element.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type">string|array&lt;string|int, <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\TagBuilder">TagBuilder</abbr></a>&gt;</span>
    <span class="phpdocumentor-signature__name">$children</span>
     = <span class="phpdocumentor-signature__default-value">[]</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_tag">
        $tag
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#property_tag" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">17</span>

    </aside>

        <p class="phpdocumentor-summary">The tag name of the HTML element.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$tag</span>
    </code>

    
    
    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method___construct">
        __construct()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method___construct" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">39</span>

    </aside>

        <p class="phpdocumentor-summary">Constructor</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">__construct</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$tag</span></span><span class="phpdocumentor-signature__argument"><span>[</span><span>, </span><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;|string|<a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\TagBuilder">TagBuilder</abbr></a>|null&nbsp;</span><span class="phpdocumentor-signature__argument__name">$content</span><span> = </span><span class="phpdocumentor-signature__argument__default-value">null</span><span> ]</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$tag</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$content</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;|string|<a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\TagBuilder">TagBuilder</abbr></a>|null</span>
                 = <span class="phpdocumentor-signature__argument__default-value">null</span>            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addAttribute">
        addAttribute()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_addAttribute" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">126</span>

    </aside>

        <p class="phpdocumentor-summary">addAttributeValue alias. Add value(s) to the named attribute</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">addAttribute</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addAttributeValue">
        addAttributeValue()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_addAttributeValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">107</span>

    </aside>

        <p class="phpdocumentor-summary">Add value(s) to the named attribute</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">addAttributeValue</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_addChild">
        addChild()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_addChild" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">181</span>

    </aside>

        <p class="phpdocumentor-summary">Add a child element.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">addChild</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\TagBuilder">TagBuilder</abbr></a>|string|array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$child</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">$this</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$child</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\TagBuilder">TagBuilder</abbr></a>|string|array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">$this</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_build">
        build()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_build" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">211</span>

    </aside>

        <p class="phpdocumentor-summary">Renders the HTML element as a string.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">build</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getAttribute">
        getAttribute()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getAttribute" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">170</span>

    </aside>

        <p class="phpdocumentor-summary">Get an attribute by name.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getAttribute</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\AttributeBuilder">AttributeBuilder</abbr></a>|null</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><a href="classes/AngleWeb-HtmlBuilder-AttributeBuilder.html"><abbr title="\AngleWeb\HtmlBuilder\AttributeBuilder">AttributeBuilder</abbr></a>|null</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getAttributes">
        getAttributes()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getAttributes" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">71</span>

    </aside>

        <p class="phpdocumentor-summary">Get the attributes array.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getAttributes</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getChildren">
        getChildren()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getChildren" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">81</span>

    </aside>

        <p class="phpdocumentor-summary">Get the children array.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getChildren</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getTag">
        getTag()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_getTag" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">52</span>

    </aside>

        <p class="phpdocumentor-summary">Retourne le nom du tag HTML.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getTag</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
            <section class="phpdocumentor-description"><p>Le nom du tag HTML</p>
</section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_removeAttribute">
        removeAttribute()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_removeAttribute" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">138</span>

    </aside>

        <p class="phpdocumentor-summary">Remove a named attribute</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">removeAttribute</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Name of the Attribute</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_removeAttributeValue">
        removeAttributeValue()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_removeAttributeValue" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">155</span>

    </aside>

        <p class="phpdocumentor-summary">Remove a value from named attribute</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">removeAttributeValue</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">self</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Name of the Attribbute</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Remove this value from the attribute</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">self</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setAttribute">
        setAttribute()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_setAttribute" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">93</span>

    </aside>

        <p class="phpdocumentor-summary">Set an attribute.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setAttribute</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$name</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">$this</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$name</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">$this</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setChildren">
        setChildren()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_setChildren" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">200</span>

    </aside>

        <p class="phpdocumentor-summary">Set the children array.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setChildren</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$children</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">$this</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$children</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">$this</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setTag">
        setTag()
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#method_setTag" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/TagBuilder.php"><a href="files/src-tagbuilder.html"><abbr title="src/TagBuilder.php">TagBuilder.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">61</span>

    </aside>

        <p class="phpdocumentor-summary">Modifie le nom du tag HTML.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setTag</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$tag</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$tag</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Le nouveau nom du tag HTML</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/AngleWeb-HtmlBuilder-TagBuilder.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
